# Fepper

* Contributors: Electric Eloquence
* Requires at least: WordPress 4.5
* Version: 0.1.7
* License: GPLv2 or later
* License URI: http://www.gnu.org/licenses/gpl-2.0.html
* Tags: blog, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, flexible-header, one-column, right-sidebar, threaded-comments, two-columns

## Description

The Fepper theme for WordPress includes templates generated by the 
[Fepper frontend prototyper](https://github.com/electric-eloquence/fepper-wordpress) 
as well as styles, scripts, and theme functions which build out the WordPress 
theme to match the look and feel of the Fepper frontend.

This theme is ideal for incorporating Pattern Lab into your WordPress 
development flow. There is probably no other theme which provides any 
reasonably working interface between these two very different platforms.

## Installation

* You may install this as you would normally install a contributed WordPress 
  theme. See https://codex.wordpress.org/Using_Themes#Adding_New_Themes 
  for further information.
* However, it is highly recommended to use this theme with a complete 
  [Fepper frontend prototyper](https://github.com/electric-eloquence/fepper-wordpress/releases/latest).
* With that being known, it should also be known that this theme is included 
  within a fully configured WordPress backend in the 
  [Fepper frontend prototyper for WordPress](https://github.com/electric-eloquence/fepper-wordpress#readme).
* This theme is unopinionated with regards to styles and markup and should be 
  used as a parent theme. You are encouraged to override any or all aspects of 
  this theme for your custom needs.

## Questions, Requests, Bug Reports

https://github.com/electric-eloquence/fepper-wordpress/issues

## Changelog

#### 0.1.7
* Minor documentation updates
* Minor link update

#### 0.1.6
* Better font support in Linux

#### 0.1.5
* Better image rendering in MS Edge

#### 0.1.4
* Style updates, ensuring is_array before foreach
* Screenshot adhering to new rule to not advertise theme
* Linking to github issue queue in readme
* Comment pagination instead of previous/next links
* Mobile nav js checks for element existence before applying behaviors
* Significant style improvements

#### 0.1.3
* Theme homepage update

#### 0.1.2
* CSS pseudo-class corrections

#### 0.1.1
* Style and readme updates

#### 0.1.0
* Minor css refactor, theme description update
* Accommodating child theme

#### 0.0.17
* Fepper theme live on WordPress.org

## Copyright

Fepper WordPress Theme, Copyright 2017 - ∞ Electric Eloquence

Fepper WordPress Theme is distributed under the terms of the GNU GPL.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

## Bundled third-party resources

### IcoMoon icons
* Copyright: Roonas
* License: GPL / CC BY 4
* License URI: http://www.gnu.org/licenses/gpl.html
* License URI: https://creativecommons.org/licenses/by/4.0/
* Source: https://icomoon.io

### Default header image
* Copyright: Alex Grichenko
* License: CC0 1.0 Universal (CC0 1.0)
* License URI: https://creativecommons.org/publicdomain/zero/1.0/
* Source: http://www.publicdomainpictures.net/view-image.php?image=50301&picture=sunrise-in-mountains
